Get a SubscriptionPlan
GET
/subscriptionplans/{subscriptionplan}
Get subscription plan status and details. If the subscription plan is not registered, a 404 Not Found is returned.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Location
string
Example
http://pay.caspeco.net/v1/subscriptionplans/Host
string
E.g. pay.caspeco.net
Example
pay.caspeco.netDate
string
E.g. Tue, 15 Nov 2014 08:12:31 GMT
Example
Tue, 15 Nov 2014 08:12:31 GMTDigest
string
E.g. SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=
Example
SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=Responses
Section titled “Responses”OK
Media typeapplication/json
object
Id
integer
InstallationId
integer
Amount
number
AmountVat
number
MerchantId
integer
CallbackUrl
string
SubscriptionPlanId
string
SubscriptionPlanName
string
CurrencyCode
string
IntervalType
string
IntervalValue
string
OrderDescription
string
Examples
Exampleresponse
{ "Id": 1234, "InstallationId": 2, "Amount": 10000, "AmountVat": 2500, "MerchantId": 1216, "CallbackUrl": "https://www.example-shop.com", "SubscriptionPlanId": "1da27fd0-3791-4e9d-b27c-48a09e5f7291", "SubscriptionPlanName": "Guldpaketet 2016", "CurrencyCode": "SEK", "IntervalType": "M", "IntervalValue": 1, "OrderDescription": "Silverpaketet"}